
<%= form_for type, :url=>{action: :create}, :method=>:POST do |f| %>
 <fieldset id='security_<%=security.type%>>'>
  <legend><%= security.describe_type %> Parameters</legend>
  <%= f.hidden_field :id %>

  <h4>Base Parameters</h4>
  <%= f.select :type, SecurityBond.types_for_form, :prompt=>'-- Select Type --' %><br/>
  <%= f.text_field :currency %><%= label type, 'Currency. Leave blank if denominated in default currency (%s).' % Smr::DEFAULT_CURRENCY %><br/>
  <%= f.number_field :issue_size, :min=>0 %><%= label type, 'Nominal Size Issued.' %><br/>
  <%= f.number_field :denomination, :min=>1 %><%= label type, 'Denomination (ie. minimum tradable amount of total nominal).' %><br/>
  <%= f.check_box :is_subordinated %><%= f.label :is_subordinated, 'Subordinated Security' %>
  <%= f.check_box :is_callable %><%= f.label :is_callable, 'Callable before Maturity' %>
  <%= f.check_box :is_stepup %><%= f.label :is_stepup, 'has StepUP Clause' %>
  <%= f.check_box :is_stepdown %><%= f.label :is_stepdown, 'has StepDown Clause' %>

  <h4>Interest</h4>
  <%= f.number_field :coupon, :step=>0.001, :min=>0.001, :value=>smr_humanize(f.object.coupon.to_f, :scale=>3) %><%= label type, 'Annual Coupon.' %><br/>
  <%= f.number_field :coupon_interval, :min=>1 %><%= label type, 'Interval between coupon payments, in months.' %><br/>
  <%= f.select :interest_method, SecurityBond.interest_methods_for_form, :prompt=>'-- Select Interest Calculation Method --' %><br/>
  <%= f.date_field :time_issue %><%= label type, 'Issue Date (when interest starts)' %><br/>
  <%= f.date_field :time_first_coupon %><%= label type, 'Date of first coupon.' %><br/>
  <%= f.date_field :time_last_coupon %><%= label type, 'Date of last coupon.' %><br/>

  <h4>Redemption</h4>
  <%= f.date_field :time_maturity %><%= label type, 'Date of final Maturity (last installment if more than one).' %><br/>
  <%= f.number_field :redemption_price, :step=>0.0001, :min=>0.0001, :value=>number_with_precision(f.object.redemption_price, :precision=>4) %><%= label type, 'Redemtion Price at maturity' %><br/>
  <%= f.number_field :redemption_installments, :min=>0 %><%= label type, 'Number of redemption installments.' %><br/>
  <%= f.number_field :redemption_interval, :min=>1 %><%= label type, 'Interval between redemption payments, in months.' %><br/>

  </br>
  <%= f.date_field :time_first_call %><%= label type, 'Date of first Call (if callable).' %><br/>
  <%= f.number_field :call_price, :step=>0.0001, :min=>0, :value=>number_with_precision(f.object.call_price, :precision=>4) %><%= label type, 'Call Price.' %><br/>
  <%= f.number_field :call_interval, :min=>0 %><%= label type, 'Distance to subsequent call dates, in months.' %><br/>
  <%= f.number_field :call_notify_deadline, :min=>0 %><%= label type, 'Deadline for Call notifies, in days before Call Date.' %><br/>

  <h4>Notes</h4>
  <%= f.text_area :comment, :cols=>45, :rows=>15, :placeholder=>'Additional Remarks?' %>
  </br>
 </fieldset>
<% end %>
